/**************************** cvtdate.c *******************************/

/******************************************************************************
 * Copyright (c) 1995,1996 Donated to the public domain                       *
 *                                                                            *
 * Original author and maintainer: Marc Chatel   (mchatel@dial.oleane.com)    *
 * Last known maintainer:          Marc Chatel   (mchatel@dial.oleane.com)    *
 *                                                                            *
 * This file was created as part of the S4 (Secure System Setup Script) kit.  *
 * Permission is granted to any person or entity to do any of the following:  *
 *       a) use this file alone or in some other software                     *
 *       b) modify this file or include parts of this file in other files     *
 *       c) re-distribute this file AS IS or modified, for non-commercial     *
 *          or commercial purposes, alone or as part of some software package *
 *                                                                            *
 * No warranties of any kind, express or implied, on the functionality and    *
 * safety of the contents of this file. Use at your own risk!                 *
 *                                                                            *
 * If you do useful changes to this file (bug fixes, portability fixes,       *
 * enhancements), you should TRY to contact the current maintainer, who may   *
 * be maintaining a "latest greatest" version of the file. You do not HAVE    *
 * TO, but you should TRY. Promote software reuse! It helps everybody,        *
 * including you!                                                             *
 ******************************************************************************/

#include <time.h>
#include <stdio.h>

/* This program expects 6 parameters:  year month day hour minute second

   Based on this (and assuming the parameters entered are in the "local"
   time zone), it computes the number of seconds elapsed since January 1st,
   1970 in UTC time. */

int main( argc, argv )
int argc;
char **argv;
{
   time_t  returned_val;
   struct  tm our_values, *tmp_ptr;

   if (argc != 7) return 1;

   our_values.tm_year  = atoi(argv[1]) - 1900;
   our_values.tm_mon   = atoi(argv[2]) - 1;
   our_values.tm_mday  = atoi(argv[3]);
   our_values.tm_hour  = atoi(argv[4]);
   our_values.tm_min   = atoi(argv[5]);
   our_values.tm_sec   = atoi(argv[6]);
   our_values.tm_isdst = -1;

   returned_val = mktime( &our_values );
   printf("%ld\n", (long) returned_val );
   return 0;
}

